Skip to main content
GET
/
v4
/
question-sets
/
{question_set_id}
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
question_set_with_questions = client.question_sets.retrieve(
    "question_set_id",
)
print(question_set_with_questions.id)
package main

import (
"context"
"fmt"

"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)

func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
questionSetWithQuestions, err := client.QuestionSets.Get(context.TODO(), "question_set_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", questionSetWithQuestions.ID)
}
curl --request GET \
--url https://api.egp.scale.com/v4/question-sets/{question_set_id}
const options = {method: 'GET'};

fetch('https://api.egp.scale.com/v4/question-sets/{question_set_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "account_id": "<string>",
  "created_by_user_id": "<string>",
  "questions": [
    {
      "title": "<string>",
      "prompt": "<string>",
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "account_id": "<string>",
      "created_by_user_id": "<string>",
      "choices": [
        {
          "label": "<string>",
          "value": "<string>",
          "audit_required": false
        }
      ],
      "ratingOptions": {
        "minLabel": "<string>",
        "maxLabel": "<string>",
        "scaleSteps": 123
      },
      "numberOptions": {
        "min": 123,
        "max": 123
      },
      "freeTextOptions": {
        "characterLimit": {
          "min": 50,
          "max": 1000
        }
      },
      "multi": true,
      "dropdown": true,
      "required": true,
      "conditions": [
        {}
      ],
      "default": "<unknown>",
      "form_schema": {}
    }
  ],
  "question_id_to_config": {},
  "instructions": "<string>",
  "archived_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

question_set_id
string
required

Response

Successful Response

name
string
required
id
string
required

The unique identifier of the entity.

created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

account_id
string
required

The ID of the account that owns the given entity.

created_by_user_id
string
required

The user who originally created the entity.

created_by_identity_type
enum<string>
required

The type of identity that created the entity.

Available options:
user,
service_account
questions
QuestionResponse · object[]
required
question_id_to_config
Question Id To Config · object

Specifies additional configurations to use for specific questions in the context of the question set. For example, {<question_a_id>: {required: true}, <question_b_id>: {required: true}} sets two questions as required.

instructions
string

Instructions to answer questions

archived_at
string<date-time>

The date and time when the entity was archived in ISO format.